Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://backend.branch.flowengineering.com/project/{projectId}/entities/{entityId}/formulas \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --header 'customer: <customer>' \ --data ' { "formula": "<string>", "key": "<string>", "branchId": "<string>" } '
import requests url = "https://backend.branch.flowengineering.com/project/{projectId}/entities/{entityId}/formulas" payload = { "formula": "<string>", "key": "<string>", "branchId": "<string>" } headers = { "customer": "<customer>", "X-API-Key": "<api-key>", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PUT', headers: { customer: '<customer>', 'X-API-Key': '<api-key>', 'Content-Type': 'application/json' }, body: JSON.stringify({formula: '<string>', key: '<string>', branchId: '<string>'}) }; fetch('https://backend.branch.flowengineering.com/project/{projectId}/entities/{entityId}/formulas', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "formulaTemplates": {}, "formulas": {}, "id": "<string>", "links": { "crosslinks": [ "<string>" ], "inbound": [ "<string>" ], "inboundOrder": {}, "outbound": [ "<string>" ], "inboundTypes": {}, "outboundOrder": {}, "outboundTypes": {}, "rootPlaced": true }, "values": {}, "branchesChangedIn": [ "<string>" ], "branchesCreatedIn": [ "<string>" ], "createdAt": "2023-11-07T05:31:56Z", "defaultSortKey": "<string>", "deleted": true, "type": "<string>", "uniqueEntityNumber": 123, "updatedAt": "2023-11-07T05:31:56Z" }
Workspace identifier
Formula source in the formula DSL (e.g. self.qty > 4). Pass null to clear an existing formula on the field.
self.qty > 4
null
Field key to author the formula on — the same key used in the entity's values/formulas maps (not the field's display name).
values
formulas
Show child attributes